﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;

namespace XamGridTabNavigationSample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void xamGrid_ActiveCellChanged(object sender, System.EventArgs e)
        {
            RowBase row = xamGrid.ActiveCell.Row;
            int currIndex = 0;

            if (xamGrid.ActiveCell.Column.HeaderText.Equals("Figure 2"))
            {
                foreach (Cell cell in row.Cells)
                {
                    if (cell.IsActive)
                    {
                        if ((row.Cells.Count - 1) > currIndex)
                        {
                            xamGrid.ExitEditMode(false);
                            row.Cells[currIndex + 1].IsActive = true;
                            row.Cells[currIndex + 1].IsSelected = true;
                            return;
                        }

                        return;
                    }

                    currIndex++;
                }
            }
        }
    }
}